package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.stockSingleTask.QueryStockSingleTaskReq;
import org.wcs.model.po.app.AppStockSingleTaskBak;

import java.util.List;

public interface AppStockSingleTaskBakService extends IService<AppStockSingleTaskBak> {

    Tuple2<Long, List<AppStockSingleTaskBak>> query(QueryStockSingleTaskReq queryTaskReq, Integer pageSize, Integer pageIndex);
    List<AppStockSingleTaskBak> query(QueryStockSingleTaskReq queryTaskReq);
    boolean insertThrowEx(AppStockSingleTaskBak appStockSingleTaskBak);

    List<AppStockSingleTaskBak> queryTaskRecentDays(int days, Integer taskStatus);
}
